// Code generated by go-swagger; DO NOT EDIT.

package environment_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetRuntimeEnvironmentOKCode is the HTTP code returned for type GetRuntimeEnvironmentOK
const GetRuntimeEnvironmentOKCode int = 200

/*GetRuntimeEnvironmentOK RuntimeEnvironments

swagger:response getRuntimeEnvironmentOK
*/
type GetRuntimeEnvironmentOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeEnvironment `json:"body,omitempty"`
}

// NewGetRuntimeEnvironmentOK creates GetRuntimeEnvironmentOK with default headers values
func NewGetRuntimeEnvironmentOK() *GetRuntimeEnvironmentOK {

	return &GetRuntimeEnvironmentOK{}
}

// WithPayload adds the payload to the get runtime environment o k response
func (o *GetRuntimeEnvironmentOK) WithPayload(payload *models.RuntimeEnvironment) *GetRuntimeEnvironmentOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get runtime environment o k response
func (o *GetRuntimeEnvironmentOK) SetPayload(payload *models.RuntimeEnvironment) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetRuntimeEnvironmentOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
